Subject: Re: linux-next: Tree for May 3

From: <[email-masked]>
Date: Mon, 9 May 2022 13:33:07 +0000

On 04/05/2022 09:31, Conor Dooley wrote:
> On 03/05/2022 08:29, Stephen Rothwell wrote:
>> Hi all,
>>
>> Changes since 20220502:
>>
>> The input tree still had its build failure so I used the version from
>> next-20220426.
>>
>> The usb tree still had its build failure for which I reverted a commit.
>>
>> The bitmap tree lost its build failure.
>>
>> The mm tree still had its build failures for which I applied a supplied
>> patch and gained a conflict against the folio tree.
>>
>> Non-merge commits (relative to Linus' tree): 7492
>>   8226 files changed, 410422 insertions(+), 168696 deletions(-)
> 
> Hey all,
> 
> Not done this before so apologies if I am not reporting this correctly.
> The tree for May 3rd does not boot on my PolarFire SoC Icicle kit,
> which I have attempted to bisect. The culprit seems to be commit
> 6424e31b1c05 ("swiotlb: remove swiotlb_init_with_tbl and
> swiotlb_init_late_with_tbl")
> 
> Please lmk if you need any further information,
> Conor.

Hey all,
Problem still exists in today's tree for the 9th of May.
After sending this email last week, I reverted the patch and was able
to boot as normal.

@Christoph, I know /nothing/ about swiotlb, so if you have any
suggestions for debugging that you would like me to try, let me
know please.

Again, if this is not a valid way to report a problem, please also
let me know.

Thanks,
Conor.

> 
> config: arch/riscv/configs/defconfig
> log:
> git bisect start
> # bad: [44a2f39e611ac0bc1f17c288a583d7f2e5684aa7] Add linux-next specific files for 20220503
> git bisect bad 44a2f39e611ac0bc1f17c288a583d7f2e5684aa7
> # good: [672c0c5173427e6b3e2a9bbb7be51ceeec78093a] Linux 5.18-rc5
> git bisect good 672c0c5173427e6b3e2a9bbb7be51ceeec78093a
> # bad: [80a7d9b5288b4c5ad900c7716d851e5d285f6d80] Merge branch 'drm-next' of git://git.freedesktop.org/git/drm/drm.git
> git bisect bad 80a7d9b5288b4c5ad900c7716d851e5d285f6d80
> # bad: [7c344e7d5be6b8bc9d753294878468cbba96af97] Merge branch 'master' of git://linuxtv.org/mchehab/media-next.git
> git bisect bad 7c344e7d5be6b8bc9d753294878468cbba96af97
> # bad: [7534d13c1fc508697ea76dc1c403151465ba50ff] Merge branch 'reset/next' of https://git.pengutronix.de/git/pza/linux
> git bisect bad 7534d13c1fc508697ea76dc1c403151465ba50ff
> # bad: [bfad554357b0b99ca95fbc79016c3fd9559c7205] Merge branch 'for-next' of https://git.kernel.org/pub/scm/linux/kernel/git/krzk/linux-mem-ctrl.git
> git bisect bad bfad554357b0b99ca95fbc79016c3fd9559c7205
> # bad: [5075bc6921b420b16162bfeef073f75f7c43b038] Merge branch 'for-next' of git://git.armlinux.org.uk/~rmk/linux-arm.git
> git bisect bad 5075bc6921b420b16162bfeef073f75f7c43b038
> # good: [cf46297bbd341132c42e2a47e3e05b2c261c99d1] Merge branch 'fixes' of git://linuxtv.org/mchehab/media-next.git
> git bisect good cf46297bbd341132c42e2a47e3e05b2c261c99d1
> # good: [c23552d1a15a89db37d4fa95aa8d0a30ad3c4482] Merge branch 'for-next' of git://git.kernel.org/pub/scm/linux/kernel/git/masahiroy/linux-kbuild.git
> git bisect good c23552d1a15a89db37d4fa95aa8d0a30ad3c4482
> # good: [d7e3c397087fffde68389e7530093dbc2b70c48a] perf stat: Support hybrid --topdown option
> git bisect good d7e3c397087fffde68389e7530093dbc2b70c48a
> # bad: [3cb4503a330159dc5cf2f8382181ccbabbbaa5b2] x86: remove cruft from <asm/dma-mapping.h>
> git bisect bad 3cb4503a330159dc5cf2f8382181ccbabbbaa5b2
> # good: [78013eaadf696d2105982abb4018fbae394ca08f] x86: remove the IOMMU table infrastructure
> git bisect good 78013eaadf696d2105982abb4018fbae394ca08f
> # good: [742519538e6b07250c8085bbff4bd358bc03bf16] swiotlb: pass a gfp_mask argument to swiotlb_init_late
> git bisect good 742519538e6b07250c8085bbff4bd358bc03bf16
> # good: [3f70356edf5611c28a68d8d5a9c2b442c9eb81e6] swiotlb: merge swiotlb-xen initialization into swiotlb
> git bisect good 3f70356edf5611c28a68d8d5a9c2b442c9eb81e6
> # bad: [6424e31b1c050a25aea033206d5f626f3523448c] swiotlb: remove swiotlb_init_with_tbl and swiotlb_init_late_with_tbl
> git bisect bad 6424e31b1c050a25aea033206d5f626f3523448c
> # first bad commit: [6424e31b1c050a25aea033206d5f626f3523448c] swiotlb: remove swiotlb_init_with_tbl and swiotlb_init_late_with_tbl